components:
  headers:
    api_version:
      example: 1.0.0
      schema:
        description: Geeft een specifieke API-versie aan in de context van een specifieke
          aanroep.
        example: 1.0.0
        type: string
    warning:
      example: '299 https://api.kvk.nl/api/v1/naamgevingen/ "Deze versie van de API
        is verouderd en zal uit dienst worden genomen op 2025-02-01. Raadpleeg voor
        meer informatie hier de documentatie: https://developers.kvk.nl/nl/apis/naamgeving".'
      schema:
        description: zie RFC 7234. In het geval een major versie wordt uitgefaseerd,
          gebruiken we warn-code 299 ("Miscellaneous Persistent Warning") en het API
          end-point (inclusief versienummer) als de warn-agent van de warning, gevolgd
          door de warn-text met de human-readable waarschuwing
        example: '299 https://api.kvk.nl/api/v1/naamgevingen/ "Deze versie van de
          API is verouderd en zal uit dienst worden genomen op 2025-02-01. Raadpleeg
          voor meer informatie hier de documentatie: https://developers.kvk.nl/nl/apis/naamgeving".'
        type: string
  responses:
    BadRequest:
      content:
        application/hal+json:
          schema:
            properties:
              fout:
                items:
                  properties:
                    code:
                      description: Foutcode
                      type: string
                    omschrijving:
                      description: Omschrijving van de foutmelding
                      type: string
                  type: object
                type: array
            type: object
      description: Een opgegeven parameter is niet valide
    Forbidden:
      content:
        application/hal+json:
          schema:
            properties:
              fout:
                items:
                  properties:
                    code:
                      description: Foutcode
                      type: string
                    omschrijving:
                      description: Omschrijving van de foutmelding
                      type: string
                  type: object
                type: array
            type: object
      description: Niet geautoriseerd voor deze operatie
    InternalServerError:
      content:
        application/hal+json:
          schema:
            properties:
              fout:
                items:
                  properties:
                    code:
                      description: Foutcode
                      type: string
                    omschrijving:
                      description: Omschrijving van de foutmelding
                      type: string
                  type: object
                type: array
            type: object
      description: Er is een interne fout opgetreden
    NotAcceptable:
      content:
        application/hal+json:
          schema:
            properties:
              fout:
                items:
                  properties:
                    code:
                      description: Foutcode
                      type: string
                    omschrijving:
                      description: Omschrijving van de foutmelding
                      type: string
                  type: object
                type: array
            type: object
      description: Opgegeven Accept header wordt niet ondersteund
    NotFound:
      content:
        application/hal+json:
          schema:
            properties:
              fout:
                items:
                  properties:
                    code:
                      description: Foutcode
                      type: string
                    omschrijving:
                      description: Omschrijving van de foutmelding
                      type: string
                  type: object
                type: array
            type: object
      description: Er zijn geen resultaten gevonden aan de hand van de opgegeven parameter(s)
    Unauthorized:
      content:
        application/hal+json:
          schema:
            properties:
              fout:
                items:
                  properties:
                    code:
                      description: Foutcode
                      type: string
                    omschrijving:
                      description: Omschrijving van de foutmelding
                      type: string
                  type: object
                type: array
            type: object
      description: Geen of onjuiste apikey aangeleverd
  schemas:
    CommercieleVestiging:
      description: Alle namen waaronder een vestiging handelt (op volgorde van registratie)
      properties:
        eersteHandelsnaam:
          description: De eerste handelsnaam van de Vestiging
          example: Kamer van Koophandel
          type: string
        handelsnamen:
          description: Alle namen waaronder een onderneming of vestiging handelt
          items:
            description: Een handelsnaam is een naam waaronder een vestiging van een
              onderneming handelt.
            properties:
              naam:
                description: De handelsnaam van de vestiging
                example: Kamer van Koophandel
                type: string
              volgorde:
                description: Het volgorde nummer van een handelsnaam
                example: 0
                type: integer
            type: object
          type: array
        links:
          description: URI naar API Vestigingsprofiel voor het huidige vestigingsnummer
          example:
          - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
            title: Vestigingsprofiel
          properties:
            vestigingsprofiel:
              properties:
                href:
                  type: string
                rel:
                  type: string
                title:
                  description: Omschrijving van de link
                  type: string
              required:
              - href
              type: object
          required:
          - vestigingsprofiel
          type: object
        vestigingsnummer:
          description: Uniek nummer dat bestaat uit 12 cijfers
          example: "000015063097"
          pattern: ^[0-9]{12}$
          type: string
      required:
      - vestigingsnummer
      type: object
    Datum:
      description: |
        In het handelsregister hebben we voor verschillende dossiers niet de exacte datums kunnen vastleggen.
        We volgen hier de Handels Register datum vastlegging voor.
        Hierdoor kan bij een onbekend deel van een datum nullen bevatten.
        Bij een volledig bekende datum is het formaat YYYYMMDD ( Jaar maand dag),
        waarbij alleen cijfers zijn toegestaan, inclusief de 0 voor onbekende delen van de datum.

        __Mogelijke formaten van waarden__

        | Type            | Formaat   |
        | --------------- | --------- |
        | Volledige datum | 20150622  |
        | Dag onbekend    | 20150600  |
        | Maand onbekend  | 20150012  |
        | Datum onbekend  | 00000000  |
      example: 20220421
      type: string
    Error:
      properties:
        fout:
          items:
            properties:
              code:
                description: Foutcode
                type: string
              omschrijving:
                description: Omschrijving van de foutmelding
                type: string
            type: object
          type: array
      type: object
    Fout:
      properties:
        code:
          description: Foutcode
          type: string
        omschrijving:
          description: Omschrijving van de foutmelding
          type: string
      type: object
    Handelsnaam:
      description: Een handelsnaam is een naam waaronder een vestiging van een onderneming
        handelt.
      properties:
        naam:
          description: De handelsnaam van de vestiging
          example: Kamer van Koophandel
          type: string
        volgorde:
          description: Het volgorde nummer van een handelsnaam
          example: 0
          type: integer
      type: object
    Link:
      properties:
        href:
          type: string
        rel:
          type: string
        title:
          description: Omschrijving van de link
          type: string
      required:
      - href
      type: object
    Naamgeving:
      properties:
        einddatum:
          description: |
            In het handelsregister hebben we voor verschillende dossiers niet de exacte datums kunnen vastleggen.
            We volgen hier de Handels Register datum vastlegging voor.
            Hierdoor kan bij een onbekend deel van een datum nullen bevatten.
            Bij een volledig bekende datum is het formaat YYYYMMDD ( Jaar maand dag),
            waarbij alleen cijfers zijn toegestaan, inclusief de 0 voor onbekende delen van de datum.

            __Mogelijke formaten van waarden__

            | Type            | Formaat   |
            | --------------- | --------- |
            | Volledige datum | 20150622  |
            | Dag onbekend    | 20150600  |
            | Maand onbekend  | 20150012  |
            | Datum onbekend  | 00000000  |
          example: 20220421
          type: string
        kvkNummer:
          description: Nederlands Kamer van Koophandel nummer
          example: "59581883"
          type: string
        links:
          description: URI naar API Basisprofiel voor het huidige kvknummer
          example:
          - href: https://api.kvk.nl/api/v1/basisprofielen/59581883
            title: Basisprofiel
          properties:
            basisprofiel:
              properties:
                href:
                  type: string
                rel:
                  type: string
                title:
                  description: Omschrijving van de link
                  type: string
              required:
              - href
              type: object
            self:
              properties:
                href:
                  type: string
                rel:
                  type: string
                title:
                  description: Omschrijving van de link
                  type: string
              required:
              - href
              type: object
          required:
          - self
          - basisprofiel
          type: object
        naam:
          description: Naam of eerste handelsnaam van de inschrijving
          example: Kamer van Koophandel
          type: string
        ookGenoemd:
          description: Een andere naam waaronder de vereniging, stichtingen en vereniging
            van eigenaars ook bekend is
          example: Kamer van Koophandel
          type: string
        rsin:
          description: |
            RSIN (Rechtspersonen en Samenwerkingsverbanden Informatienummer)

            Het RSIN kan voorloopnullen bevatten
          example: "823807071"
          pattern: ^[0-9]{9}$
          type: string
        startdatum:
          description: |
            In het handelsregister hebben we voor verschillende dossiers niet de exacte datums kunnen vastleggen.
            We volgen hier de Handels Register datum vastlegging voor.
            Hierdoor kan bij een onbekend deel van een datum nullen bevatten.
            Bij een volledig bekende datum is het formaat YYYYMMDD ( Jaar maand dag),
            waarbij alleen cijfers zijn toegestaan, inclusief de 0 voor onbekende delen van de datum.

            __Mogelijke formaten van waarden__

            | Type            | Formaat   |
            | --------------- | --------- |
            | Volledige datum | 20150622  |
            | Dag onbekend    | 20150600  |
            | Maand onbekend  | 20150012  |
            | Datum onbekend  | 00000000  |
          example: 20220421
          type: string
        statutaireNaam:
          description: De naam van de rechtspersoon die opgenomen is in de oprichtingsakte
          example: Kamer van Koophandel
          type: string
        vestigingen:
          description: Lijst van vestigingen
          items:
            oneOf:
            - description: Alle namen waaronder een vestiging handelt (op volgorde
                van registratie)
              properties:
                eersteHandelsnaam:
                  description: De eerste handelsnaam van de Vestiging
                  example: Kamer van Koophandel
                  type: string
                handelsnamen:
                  description: Alle namen waaronder een onderneming of vestiging handelt
                  items:
                    description: Een handelsnaam is een naam waaronder een vestiging
                      van een onderneming handelt.
                    properties:
                      naam:
                        description: De handelsnaam van de vestiging
                        example: Kamer van Koophandel
                        type: string
                      volgorde:
                        description: Het volgorde nummer van een handelsnaam
                        example: 0
                        type: integer
                    type: object
                  type: array
                links:
                  description: URI naar API Vestigingsprofiel voor het huidige vestigingsnummer
                  example:
                  - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
                    title: Vestigingsprofiel
                  properties:
                    vestigingsprofiel:
                      properties:
                        href:
                          type: string
                        rel:
                          type: string
                        title:
                          description: Omschrijving van de link
                          type: string
                      required:
                      - href
                      type: object
                  required:
                  - vestigingsprofiel
                  type: object
                vestigingsnummer:
                  description: Uniek nummer dat bestaat uit 12 cijfers
                  example: "000015063097"
                  pattern: ^[0-9]{12}$
                  type: string
              required:
              - vestigingsnummer
              type: object
            - description: De naam waaronder een niet commerciele vestiging bekend
                is
              properties:
                links:
                  description: URI naar API Vestigingsprofiel voor het huidige vestigingsnummer
                  example:
                  - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
                    title: Vestigingsprofiel
                  properties:
                    vestigingsprofiel:
                      properties:
                        href:
                          type: string
                        rel:
                          type: string
                        title:
                          description: Omschrijving van de link
                          type: string
                      required:
                      - href
                      type: object
                  required:
                  - vestigingsprofiel
                  type: object
                naam:
                  description: De naam van de Vestiging
                  type: string
                ookGenoemd:
                  description: Een andere naam waaronder de vereniging, stichtingen
                    en vereniging van eigenaars ook bekend is
                  type: string
                vestigingsnummer:
                  description: Uniek nummer dat bestaat uit 12 cijfers
                  example: "000015063097"
                  pattern: ^[0-9]{12}$
                  type: string
              required:
              - vestigingsnummer
              type: object
          type: array
      required:
      - kvkNummer
      type: object
    NietCommercieleVestiging:
      description: De naam waaronder een niet commerciele vestiging bekend is
      properties:
        links:
          description: URI naar API Vestigingsprofiel voor het huidige vestigingsnummer
          example:
          - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
            title: Vestigingsprofiel
          properties:
            vestigingsprofiel:
              properties:
                href:
                  type: string
                rel:
                  type: string
                title:
                  description: Omschrijving van de link
                  type: string
              required:
              - href
              type: object
          required:
          - vestigingsprofiel
          type: object
        naam:
          description: De naam van de Vestiging
          type: string
        ookGenoemd:
          description: Een andere naam waaronder de vereniging, stichtingen en vereniging
            van eigenaars ook bekend is
          type: string
        vestigingsnummer:
          description: Uniek nummer dat bestaat uit 12 cijfers
          example: "000015063097"
          pattern: ^[0-9]{12}$
          type: string
      required:
      - vestigingsnummer
      type: object
    Vestiging:
      oneOf:
      - description: Alle namen waaronder een vestiging handelt (op volgorde van registratie)
        properties:
          eersteHandelsnaam:
            description: De eerste handelsnaam van de Vestiging
            example: Kamer van Koophandel
            type: string
          handelsnamen:
            description: Alle namen waaronder een onderneming of vestiging handelt
            items:
              description: Een handelsnaam is een naam waaronder een vestiging van
                een onderneming handelt.
              properties:
                naam:
                  description: De handelsnaam van de vestiging
                  example: Kamer van Koophandel
                  type: string
                volgorde:
                  description: Het volgorde nummer van een handelsnaam
                  example: 0
                  type: integer
              type: object
            type: array
          links:
            description: URI naar API Vestigingsprofiel voor het huidige vestigingsnummer
            example:
            - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
              title: Vestigingsprofiel
            properties:
              vestigingsprofiel:
                properties:
                  href:
                    type: string
                  rel:
                    type: string
                  title:
                    description: Omschrijving van de link
                    type: string
                required:
                - href
                type: object
            required:
            - vestigingsprofiel
            type: object
          vestigingsnummer:
            description: Uniek nummer dat bestaat uit 12 cijfers
            example: "000015063097"
            pattern: ^[0-9]{12}$
            type: string
        required:
        - vestigingsnummer
        type: object
      - description: De naam waaronder een niet commerciele vestiging bekend is
        properties:
          links:
            description: URI naar API Vestigingsprofiel voor het huidige vestigingsnummer
            example:
            - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
              title: Vestigingsprofiel
            properties:
              vestigingsprofiel:
                properties:
                  href:
                    type: string
                  rel:
                    type: string
                  title:
                    description: Omschrijving van de link
                    type: string
                required:
                - href
                type: object
            required:
            - vestigingsprofiel
            type: object
          naam:
            description: De naam van de Vestiging
            type: string
          ookGenoemd:
            description: Een andere naam waaronder de vereniging, stichtingen en vereniging
              van eigenaars ook bekend is
            type: string
          vestigingsnummer:
            description: Uniek nummer dat bestaat uit 12 cijfers
            example: "000015063097"
            pattern: ^[0-9]{12}$
            type: string
        required:
        - vestigingsnummer
        type: object
  securitySchemes:
    ApiKeyAuth:
      description: De API-key die je hebt gekregen dient bij elke request via de `apikey`
        request header meegestuurd te worden. Indien deze niet juist wordt meegestuurd,
        of het een ongeldige key betreft, zul je de foutmelding `401 Unauthorized`
        terugkrijgen.
      in: header
      name: apikey
      type: apiKey
info:
  contact:
    name: Kamer van Koophandel
    url: https://developers.kvk.nl/nl
  description: Naamgeving informatie opvragen van een specifiek bedrijf en/of vestiging
  termsOfService: https://www.kvk.nl/over-kvk/over-het-handelsregister/toegang-handelsregister/aanvraag-toegangscode/gebruiksvoorwaarden/
  title: Naamgeving API
  version: 1.1.1
openapi: 3.1.0
paths:
  /naamgevingen/kvknummer/{kvkNummer}:
    get:
      operationId: naamgevingBijKvkNummer
      parameters:
      - description: '__Nederlands Kamer van Koophandel nummer__: bestaat uit 8 cijfers'
        example: "59581883"
        in: path
        name: kvkNummer
        required: true
        schema:
          pattern: ^[0-9]{8}$
          type: string
      responses:
        "200":
          content:
            application/hal+json:
              schema:
                properties:
                  einddatum:
                    description: |
                      In het handelsregister hebben we voor verschillende dossiers niet de exacte datums kunnen vastleggen.
                      We volgen hier de Handels Register datum vastlegging voor.
                      Hierdoor kan bij een onbekend deel van een datum nullen bevatten.
                      Bij een volledig bekende datum is het formaat YYYYMMDD ( Jaar maand dag),
                      waarbij alleen cijfers zijn toegestaan, inclusief de 0 voor onbekende delen van de datum.

                      __Mogelijke formaten van waarden__

                      | Type            | Formaat   |
                      | --------------- | --------- |
                      | Volledige datum | 20150622  |
                      | Dag onbekend    | 20150600  |
                      | Maand onbekend  | 20150012  |
                      | Datum onbekend  | 00000000  |
                    example: 20220421
                    type: string
                  kvkNummer:
                    description: Nederlands Kamer van Koophandel nummer
                    example: "59581883"
                    type: string
                  links:
                    description: URI naar API Basisprofiel voor het huidige kvknummer
                    example:
                    - href: https://api.kvk.nl/api/v1/basisprofielen/59581883
                      title: Basisprofiel
                    properties:
                      basisprofiel:
                        properties:
                          href:
                            type: string
                          rel:
                            type: string
                          title:
                            description: Omschrijving van de link
                            type: string
                        required:
                        - href
                        type: object
                      self:
                        properties:
                          href:
                            type: string
                          rel:
                            type: string
                          title:
                            description: Omschrijving van de link
                            type: string
                        required:
                        - href
                        type: object
                    required:
                    - self
                    - basisprofiel
                    type: object
                  naam:
                    description: Naam of eerste handelsnaam van de inschrijving
                    example: Kamer van Koophandel
                    type: string
                  ookGenoemd:
                    description: Een andere naam waaronder de vereniging, stichtingen
                      en vereniging van eigenaars ook bekend is
                    example: Kamer van Koophandel
                    type: string
                  rsin:
                    description: |
                      RSIN (Rechtspersonen en Samenwerkingsverbanden Informatienummer)

                      Het RSIN kan voorloopnullen bevatten
                    example: "823807071"
                    pattern: ^[0-9]{9}$
                    type: string
                  startdatum:
                    description: |
                      In het handelsregister hebben we voor verschillende dossiers niet de exacte datums kunnen vastleggen.
                      We volgen hier de Handels Register datum vastlegging voor.
                      Hierdoor kan bij een onbekend deel van een datum nullen bevatten.
                      Bij een volledig bekende datum is het formaat YYYYMMDD ( Jaar maand dag),
                      waarbij alleen cijfers zijn toegestaan, inclusief de 0 voor onbekende delen van de datum.

                      __Mogelijke formaten van waarden__

                      | Type            | Formaat   |
                      | --------------- | --------- |
                      | Volledige datum | 20150622  |
                      | Dag onbekend    | 20150600  |
                      | Maand onbekend  | 20150012  |
                      | Datum onbekend  | 00000000  |
                    example: 20220421
                    type: string
                  statutaireNaam:
                    description: De naam van de rechtspersoon die opgenomen is in
                      de oprichtingsakte
                    example: Kamer van Koophandel
                    type: string
                  vestigingen:
                    description: Lijst van vestigingen
                    items:
                      oneOf:
                      - description: Alle namen waaronder een vestiging handelt (op
                          volgorde van registratie)
                        properties:
                          eersteHandelsnaam:
                            description: De eerste handelsnaam van de Vestiging
                            example: Kamer van Koophandel
                            type: string
                          handelsnamen:
                            description: Alle namen waaronder een onderneming of vestiging
                              handelt
                            items:
                              description: Een handelsnaam is een naam waaronder een
                                vestiging van een onderneming handelt.
                              properties:
                                naam:
                                  description: De handelsnaam van de vestiging
                                  example: Kamer van Koophandel
                                  type: string
                                volgorde:
                                  description: Het volgorde nummer van een handelsnaam
                                  example: 0
                                  type: integer
                              type: object
                            type: array
                          links:
                            description: URI naar API Vestigingsprofiel voor het huidige
                              vestigingsnummer
                            example:
                            - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
                              title: Vestigingsprofiel
                            properties:
                              vestigingsprofiel:
                                properties:
                                  href:
                                    type: string
                                  rel:
                                    type: string
                                  title:
                                    description: Omschrijving van de link
                                    type: string
                                required:
                                - href
                                type: object
                            required:
                            - vestigingsprofiel
                            type: object
                          vestigingsnummer:
                            description: Uniek nummer dat bestaat uit 12 cijfers
                            example: "000015063097"
                            pattern: ^[0-9]{12}$
                            type: string
                        required:
                        - vestigingsnummer
                        type: object
                      - description: De naam waaronder een niet commerciele vestiging
                          bekend is
                        properties:
                          links:
                            description: URI naar API Vestigingsprofiel voor het huidige
                              vestigingsnummer
                            example:
                            - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
                              title: Vestigingsprofiel
                            properties:
                              vestigingsprofiel:
                                properties:
                                  href:
                                    type: string
                                  rel:
                                    type: string
                                  title:
                                    description: Omschrijving van de link
                                    type: string
                                required:
                                - href
                                type: object
                            required:
                            - vestigingsprofiel
                            type: object
                          naam:
                            description: De naam van de Vestiging
                            type: string
                          ookGenoemd:
                            description: Een andere naam waaronder de vereniging,
                              stichtingen en vereniging van eigenaars ook bekend is
                            type: string
                          vestigingsnummer:
                            description: Uniek nummer dat bestaat uit 12 cijfers
                            example: "000015063097"
                            pattern: ^[0-9]{12}$
                            type: string
                        required:
                        - vestigingsnummer
                        type: object
                    type: array
                required:
                - kvkNummer
                type: object
            application/json:
              schema:
                properties:
                  einddatum:
                    description: |
                      In het handelsregister hebben we voor verschillende dossiers niet de exacte datums kunnen vastleggen.
                      We volgen hier de Handels Register datum vastlegging voor.
                      Hierdoor kan bij een onbekend deel van een datum nullen bevatten.
                      Bij een volledig bekende datum is het formaat YYYYMMDD ( Jaar maand dag),
                      waarbij alleen cijfers zijn toegestaan, inclusief de 0 voor onbekende delen van de datum.

                      __Mogelijke formaten van waarden__

                      | Type            | Formaat   |
                      | --------------- | --------- |
                      | Volledige datum | 20150622  |
                      | Dag onbekend    | 20150600  |
                      | Maand onbekend  | 20150012  |
                      | Datum onbekend  | 00000000  |
                    example: 20220421
                    type: string
                  kvkNummer:
                    description: Nederlands Kamer van Koophandel nummer
                    example: "59581883"
                    type: string
                  links:
                    description: URI naar API Basisprofiel voor het huidige kvknummer
                    example:
                    - href: https://api.kvk.nl/api/v1/basisprofielen/59581883
                      title: Basisprofiel
                    properties:
                      basisprofiel:
                        properties:
                          href:
                            type: string
                          rel:
                            type: string
                          title:
                            description: Omschrijving van de link
                            type: string
                        required:
                        - href
                        type: object
                      self:
                        properties:
                          href:
                            type: string
                          rel:
                            type: string
                          title:
                            description: Omschrijving van de link
                            type: string
                        required:
                        - href
                        type: object
                    required:
                    - self
                    - basisprofiel
                    type: object
                  naam:
                    description: Naam of eerste handelsnaam van de inschrijving
                    example: Kamer van Koophandel
                    type: string
                  ookGenoemd:
                    description: Een andere naam waaronder de vereniging, stichtingen
                      en vereniging van eigenaars ook bekend is
                    example: Kamer van Koophandel
                    type: string
                  rsin:
                    description: |
                      RSIN (Rechtspersonen en Samenwerkingsverbanden Informatienummer)

                      Het RSIN kan voorloopnullen bevatten
                    example: "823807071"
                    pattern: ^[0-9]{9}$
                    type: string
                  startdatum:
                    description: |
                      In het handelsregister hebben we voor verschillende dossiers niet de exacte datums kunnen vastleggen.
                      We volgen hier de Handels Register datum vastlegging voor.
                      Hierdoor kan bij een onbekend deel van een datum nullen bevatten.
                      Bij een volledig bekende datum is het formaat YYYYMMDD ( Jaar maand dag),
                      waarbij alleen cijfers zijn toegestaan, inclusief de 0 voor onbekende delen van de datum.

                      __Mogelijke formaten van waarden__

                      | Type            | Formaat   |
                      | --------------- | --------- |
                      | Volledige datum | 20150622  |
                      | Dag onbekend    | 20150600  |
                      | Maand onbekend  | 20150012  |
                      | Datum onbekend  | 00000000  |
                    example: 20220421
                    type: string
                  statutaireNaam:
                    description: De naam van de rechtspersoon die opgenomen is in
                      de oprichtingsakte
                    example: Kamer van Koophandel
                    type: string
                  vestigingen:
                    description: Lijst van vestigingen
                    items:
                      oneOf:
                      - description: Alle namen waaronder een vestiging handelt (op
                          volgorde van registratie)
                        properties:
                          eersteHandelsnaam:
                            description: De eerste handelsnaam van de Vestiging
                            example: Kamer van Koophandel
                            type: string
                          handelsnamen:
                            description: Alle namen waaronder een onderneming of vestiging
                              handelt
                            items:
                              description: Een handelsnaam is een naam waaronder een
                                vestiging van een onderneming handelt.
                              properties:
                                naam:
                                  description: De handelsnaam van de vestiging
                                  example: Kamer van Koophandel
                                  type: string
                                volgorde:
                                  description: Het volgorde nummer van een handelsnaam
                                  example: 0
                                  type: integer
                              type: object
                            type: array
                          links:
                            description: URI naar API Vestigingsprofiel voor het huidige
                              vestigingsnummer
                            example:
                            - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
                              title: Vestigingsprofiel
                            properties:
                              vestigingsprofiel:
                                properties:
                                  href:
                                    type: string
                                  rel:
                                    type: string
                                  title:
                                    description: Omschrijving van de link
                                    type: string
                                required:
                                - href
                                type: object
                            required:
                            - vestigingsprofiel
                            type: object
                          vestigingsnummer:
                            description: Uniek nummer dat bestaat uit 12 cijfers
                            example: "000015063097"
                            pattern: ^[0-9]{12}$
                            type: string
                        required:
                        - vestigingsnummer
                        type: object
                      - description: De naam waaronder een niet commerciele vestiging
                          bekend is
                        properties:
                          links:
                            description: URI naar API Vestigingsprofiel voor het huidige
                              vestigingsnummer
                            example:
                            - href: https://api.kvk.nl/api/v1/vestigingsprofielen/000015063097
                              title: Vestigingsprofiel
                            properties:
                              vestigingsprofiel:
                                properties:
                                  href:
                                    type: string
                                  rel:
                                    type: string
                                  title:
                                    description: Omschrijving van de link
                                    type: string
                                required:
                                - href
                                type: object
                            required:
                            - vestigingsprofiel
                            type: object
                          naam:
                            description: De naam van de Vestiging
                            type: string
                          ookGenoemd:
                            description: Een andere naam waaronder de vereniging,
                              stichtingen en vereniging van eigenaars ook bekend is
                            type: string
                          vestigingsnummer:
                            description: Uniek nummer dat bestaat uit 12 cijfers
                            example: "000015063097"
                            pattern: ^[0-9]{12}$
                            type: string
                        required:
                        - vestigingsnummer
                        type: object
                    type: array
                required:
                - kvkNummer
                type: object
          description: Het verzoek levert een resultaat op. Als geen resultaten worden
            gevonden die aan de path parameter voldoen, wordt een 404 NotFound teruggegeven.
          headers:
            api-version:
              example: 1.0.0
              schema:
                description: Geeft een specifieke API-versie aan in de context van
                  een specifieke aanroep.
                example: 1.0.0
                type: string
            warning:
              example: '299 https://api.kvk.nl/api/v1/naamgevingen/ "Deze versie van
                de API is verouderd en zal uit dienst worden genomen op 2025-02-01.
                Raadpleeg voor meer informatie hier de documentatie: https://developers.kvk.nl/nl/apis/naamgeving".'
              schema:
                description: zie RFC 7234. In het geval een major versie wordt uitgefaseerd,
                  gebruiken we warn-code 299 ("Miscellaneous Persistent Warning")
                  en het API end-point (inclusief versienummer) als de warn-agent
                  van de warning, gevolgd door de warn-text met de human-readable
                  waarschuwing
                example: '299 https://api.kvk.nl/api/v1/naamgevingen/ "Deze versie
                  van de API is verouderd en zal uit dienst worden genomen op 2025-02-01.
                  Raadpleeg voor meer informatie hier de documentatie: https://developers.kvk.nl/nl/apis/naamgeving".'
                type: string
        "400":
          content:
            application/hal+json:
              schema:
                properties:
                  fout:
                    items:
                      properties:
                        code:
                          description: Foutcode
                          type: string
                        omschrijving:
                          description: Omschrijving van de foutmelding
                          type: string
                      type: object
                    type: array
                type: object
          description: Een opgegeven parameter is niet valide
        "401":
          content:
            application/hal+json:
              schema:
                properties:
                  fout:
                    items:
                      properties:
                        code:
                          description: Foutcode
                          type: string
                        omschrijving:
                          description: Omschrijving van de foutmelding
                          type: string
                      type: object
                    type: array
                type: object
          description: Geen of onjuiste apikey aangeleverd
        "403":
          content:
            application/hal+json:
              schema:
                properties:
                  fout:
                    items:
                      properties:
                        code:
                          description: Foutcode
                          type: string
                        omschrijving:
                          description: Omschrijving van de foutmelding
                          type: string
                      type: object
                    type: array
                type: object
          description: Niet geautoriseerd voor deze operatie
        "404":
          content:
            application/hal+json:
              schema:
                properties:
                  fout:
                    items:
                      properties:
                        code:
                          description: Foutcode
                          type: string
                        omschrijving:
                          description: Omschrijving van de foutmelding
                          type: string
                      type: object
                    type: array
                type: object
          description: Er zijn geen resultaten gevonden aan de hand van de opgegeven
            parameter(s)
        "406":
          content:
            application/hal+json:
              schema:
                properties:
                  fout:
                    items:
                      properties:
                        code:
                          description: Foutcode
                          type: string
                        omschrijving:
                          description: Omschrijving van de foutmelding
                          type: string
                      type: object
                    type: array
                type: object
          description: Opgegeven Accept header wordt niet ondersteund
        "500":
          content:
            application/hal+json:
              schema:
                properties:
                  fout:
                    items:
                      properties:
                        code:
                          description: Foutcode
                          type: string
                        omschrijving:
                          description: Omschrijving van de foutmelding
                          type: string
                      type: object
                    type: array
                type: object
          description: Er is een interne fout opgetreden
        default:
          content:
            application/hal+json:
              schema:
                properties:
                  fout:
                    items:
                      properties:
                        code:
                          description: Foutcode
                          type: string
                        omschrijving:
                          description: Omschrijving van de foutmelding
                          type: string
                      type: object
                    type: array
                type: object
            application/json:
              schema:
                properties:
                  fout:
                    items:
                      properties:
                        code:
                          description: Foutcode
                          type: string
                        omschrijving:
                          description: Omschrijving van de foutmelding
                          type: string
                      type: object
                    type: array
                type: object
          description: Er is een onverwachte fout opgetreden
      summary: Voor een specifiek bedrijf naamgeving informatie opvragen op basis
        van een kvkNummer
      tags:
      - naamgeving
security:
- ApiKeyAuth: []
servers:
- description: Test API (uses Staat der Nederlanden Private Root CA – G1 certificate
    chain)
  url: https://api.kvk.nl/test/api/v1
- description: Production API (uses Staat der Nederlanden Private Root CA – G1 certificate
    chain)
  url: https://api.kvk.nl/api/v1
tags:
- externalDocs:
    description: Voor meer informatie over deze API
    url: https://developers.kvk.nl/nl/support
  name: naamgeving
